{#
/**
 * @file
 * Default theme implementation to display a menu.
 *
 * Available variables:
 * - menu_name: The machine name of the menu.
 * - items: A nested list of menu items. Each menu item contains:
 *   - attributes: HTML attributes for the menu item.
 *   - below: The menu item child items.
 *   - title: The menu link title.
 *   - url: The menu link url, instance of \Drupal\Core\Url
 *   - localized_options: Menu link localized options.
 *   - is_expanded: TRUE if the link has visible children within the current
 *     menu tree.
 *   - is_collapsed: TRUE if the link has children within the current menu tree
 *     that are not currently visible.
 *   - in_active_trail: TRUE if the link is in the active trail.
 *
 * @ingroup themeable
 * menu.html.twig : Dynamic Menu Milo
 *
 *
 *
 * We call a macro which calls itself to render the full tree.
 * @see https://twig.symfony.com/doc/1.x/tags/macro.html
 *
 * @author Irfan Hardiyanto
 * @since 31 Aug 2020
 *
 */
#}

{% import _self as menus %}

{{ menus.menu_links(items, attributes, 0, guestlogin) }}
{% macro menu_links(items, attributes, menu_level, guestlogin) %}
{% import _self as menus %}
<header>
	<nav class="navbar navbar-expand-lg navbar-dark bg-primary navbar-main shadow">
		<div class="container-fluid position-relative">
			<a class="navbar-brand" href="{{ url('<front>') }}"><img src="{{ url('<front>') }}themes/growhappytheme/assets/images/logo.svg" height="30" alt="Grow Happy Club"></a>
			<div class="d-flex">
				<a class="d-flex d-lg-none mr-3 align-items-center" href="{{ url('<front>') }}guest/profile">
					<svg style="height: 34px;" aria-hidden="true" focusable="false" data-prefix="fas" data-icon="user" class="svg-inline--fa fa-user fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewbox="0 0 448 512">
						<path style="transform: translate(9px) rotate(0);" fill="#fff" d="M224 256c70.7 0 128-57.3 128-128S294.7 0 224 0 96 57.3 96 128s57.3 128 128 128zm89.6 32h-16.7c-22.2 10.2-46.9 16-72.9 16s-50.6-5.8-72.9-16h-16.7C60.2 288 0 348.2 0 422.4V464c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48v-41.6c0-74.2-60.2-134.4-134.4-134.4z"></path>
					</svg>
				</a>
				<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
					<svg width="45" height="45" viewbox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
						<path d="M2 6C2 5.44772 2.44772 5 3 5H21C21.5523 5 22 5.44772 22 6C22 6.55228 21.5523 7 21 7H3C2.44772 7 2 6.55228 2 6Z" fill="currentColor" />
						<path d="M2 12.0322C2 11.4799 2.44772 11.0322 3 11.0322H21C21.5523 11.0322 22 11.4799 22 12.0322C22 12.5845 21.5523 13.0322 21 13.0322H3C2.44772 13.0322 2 12.5845 2 12.0322Z" fill="currentColor" />
						<path d="M3 17.0645C2.44772 17.0645 2 17.5122 2 18.0645C2 18.6167 2.44772 19.0645 3 19.0645H21C21.5523 19.0645 22 18.6167 22 18.0645C22 17.5122 21.5523 17.0645 21 17.0645H3Z" fill="currentColor" />
					</svg>
				</button>
			</div>
			<div class="collapse navbar-collapse" id="navbarSupportedContent">
				{% if logged_in %}
				<ul class="navbar-nav nav-pills navbar-profile-info">
					<li class="nav-item">
						<div class="container-profile-info ml-lg-4">
							<div class="media">
								<div class="profile-picture-wrapper mr-3 mr-lg-0 ml-lg-3 d-none d-lg-block">

									<button class="btn btn-profile-menu-toggle d-none d-lg-block btn btn-primary btn-cta rounded-pill text-center" type="button">
										<img src="{{ url('<front>') }}themes/growhappytheme/assets/images/ico-chevron-down-blue.svg" alt="Toggle Menu" class="ico">
									</button>
								</div>
								<div class="media-body">
									<h5 class="profile-name">Vania Anugrah</h5>
								</div>
							</div>
							<div class="profile-menu-wrapper is-hidden">
								<ul class="list-unstyled p-0 m-0 profile-menu">
									<li>
										<a href="{{ url('<front>') }}guest/profile">Profil Saya</a>
									</li>
									<li>
										<a href="{{ url('<front>') }}guest/submit-kode">Submit Kode Unik</a>
									</li>
									<li>
										<a href="{{ url('<front>') }}guest/saldo-poin">Saldo Poin</a>
									</li>
									<li>
										<a href="{{ url('<front>') }}daftar-rewards">Tukar Poin</a>
									</li>
									<li>
										<a href="{{ url('<front>') }}guestlogout" class="btn btn-primary btn-cta rounded-pill text-center d-block">Keluar</a>
									</li>
								</ul>
							</div>
						</div>
					</li>
				</ul>
				{% endif %}


				<ul class="navbar-nav nav-pills mb-6 mb-lg-0">
					<li class="nav-item active">
						<a class="nav-link" href="{{ url('<front>') }}">Home
							<span class="sr-only">(current)</span>
						</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" href="{{ url('<front>') }}product">Product</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" href="{{ url('<front>') }}club">Rewards</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" href="{{ url('<front>') }}99ways">99+ Cara Grow Happy</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" href="{{ url('<front>') }}happyarticle">Happy Article</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" href="{{ url('<front>') }}happyupdates">Happy Updates</a>
					</li>
					<!--  <li class="nav-item border-right">
								<a class="nav-link bg-primary text-white" href="https://connect.sahabatnestle.co.id/sso/auth/login?response_type=code&client_id=5_2m5v84a4i8g0cgsssocg0gkoc88c0wksww0c488ww0w4sooccs&redirect_uri=http%3A%2F%2Fwww.growhappy.co.id%2Fsso%2Fcallback&scope=user">Masuk</a>
							</li>
							<li class="nav-item">
								<a class="nav-link bg-primary text-white" href="https://connect.sahabatnestle.co.id/sso/auth/register?response_type=code&client_id=5_2m5v84a4i8g0cgsssocg0gkoc88c0wksww0c488ww0w4sooccs&redirect_uri=https%3A%2F%2Fwww.growhappy.co.id%2Fsso%2Fcallback&scope=user">Daftar</a>

					</li>  -->
					{% if (logged_in or guestlogin) %}
					<li class="nav-item dropdown hidden-xs d-lg-inline-block d-none" id="menu-guest-profile">
						<div class="dropdown">
							<button class="btn btn-secondary dropdown-toggle p-0 text-white" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
								<svg style="width:20px;" aria-hidden="true" focusable="false" data-prefix="fas" data-icon="user" class="svg-inline--fa fa-user fa-w-14" role="img" xmlns="http://www.w3.org/2000/svg" viewbox="0 0 448 512">
									<path style="transform: translate(9px) rotate(0);" fill="#fff" d="M224 256c70.7 0 128-57.3 128-128S294.7 0 224 0 96 57.3 96 128s57.3 128 128 128zm89.6 32h-16.7c-22.2 10.2-46.9 16-72.9 16s-50.6-5.8-72.9-16h-16.7C60.2 288 0 348.2 0 422.4V464c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48v-41.6c0-74.2-60.2-134.4-134.4-134.4z"></path>
								</svg>
								<svg style="width:10px; margin-top:5px;" aria-hidden="true" focusable="false" data-prefix="fas" data-icon="angle-down" class="svg-inline--fa fa-angle-down fa-w-10" role="img" xmlns="http://www.w3.org/2000/svg" viewbox="0 0 320 512">
									<path style="transform: translate(9px) rotate(0);" fill="currentColor" d="M143 352.3L7 216.3c-9.4-9.4-9.4-24.6 0-33.9l22.6-22.6c9.4-9.4 24.6-9.4 33.9 0l96.4 96.4 96.4-96.4c9.4-9.4 24.6-9.4 33.9 0l22.6 22.6c9.4 9.4 9.4 24.6 0 33.9l-136 136c-9.2 9.4-24.4 9.4-33.8 0z"></path>
								</svg>
							</button>
							<div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
								<a class="dropdown-item" href="{{ url('<front>') }}profile">Profil Saya</a>
								<a class="dropdown-item" href="{{ url('<front>') }}profile">Submit Kode Unik</a>
								<a class="dropdown-item" href="{{ url('<front>') }}profile">Saldo Poin</a>
								<a class="dropdown-item" href="{{ url('<front>') }}profile">Tukar Poin</a>
								<a class="dropdown-item" href="{{ url('<front>') }}guestlogoutfront">Logout</a>
							</div>
						</div>
					</li>
					{% endif %}
				</ul>
			</div>

			{% if logged_in %}
			{% else %}
			{# <div class="container-login-register">
																														                        <div class="mx-0 pt-3">
																														                            <p class="login-intro">Join Grow Happy Club dan dapatkan rewards-rewardsnya!</p>
																														                            <a href="https://connect.sahabatnestle.co.id/sso/auth/login?response_type=code&client_id=5_2m5v84a4i8g0cgsssocg0gkoc88c0wksww0c488ww0w4sooccs&redirect_uri=http%3A%2F%2Fwww.growhappy.co.id%2Fsso%2Fcallback&scope=user" class="btn btn-primary btn-cta rounded-pill text-center btn-login"><strong>Masuk</strong></a>
																														                        </div>
																														                        <div class="mx-0 pb-3">
																														                            <p class="register-info">Belum punya akun? <a
																														                                    href="https://connect.sahabatnestle.co.id/sso/auth/register?response_type=code&client_id=5_2m5v84a4i8g0cgsssocg0gkoc88c0wksww0c488ww0w4sooccs&redirect_uri=https%3A%2F%2Fwww.growhappy.co.id%2Fsso%2Fcallback&scope=user">Daftar di sini.</a></p>
																														                        </div>
																														                    </div> #}
			{% endif %}
		</div>
	</nav>
</header>
{% endmacro %}

<div id="asiModal" class="modal modal-asi fade" data-backdrop="static" tabindex="-1" role="dialog">
		<div class="modal-dialog  modal-dialog-centered" role="document">
				<div class="modal-content asiModalContent">
						<div class="modal-header asiModalHeader pb-0">
								<h5 class="modal-title"><strong>ASI adalah makanan terbaik untuk bayi</strong></h5>
						</div>
						<div class="modal-body asiModalBody pb-0">
								<p>
										World Health Organization (WHO) merekomendasikan <br class="d-none d-sm-block" />pemberian ASI eksklusif hingga
										bayi berusia 6 bulan dan <br class="d-none d-sm-block" />tetap memberikan ASI selama mungkin. <br class="d-none d-sm-block" />Susu pertumbuhan
										diformulasikan untuk memenuhi <br class="d-none d-sm-block" />gizi anak usia diatas 1 tahun dan tidak diberikan
										untuk bayi.
								</p>
						</div>
						<div class="modal-footer asiModalFooter">
								<a href="https://www.facebook.com/sahabatnestle" class="btn btn-warning" onclick="dataLayer.push({'event' : 'customEvent', 'eventCategory' : 'Footer', 'eventAction' : 'Site Link', 'eventLabel' : '' });">KELUAR</a>
								<button type="button" class="btn btn-primary" data-dismiss="modal" onclick="dataLayer.push({'event' : 'customEvent', 'eventCategory' : 'Footer', 'eventAction' : 'Site Link', 'eventLabel' : '' });">LANJUTKAN</button>
						</div>
				</div>
		</div>
</div>